<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<Project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="project_projx.xsd">

  <SchemaVersion>2.1</SchemaVersion>

  <Header>### uVision Project, (C) Keil Software</Header>

  <Targets>
    <Target>
      <TargetName>Target 1</TargetName>
      <ToolsetNumber>0x4</ToolsetNumber>
      <ToolsetName>ARM-ADS</ToolsetName>
      <pCCUsed>6120000::V6.12::.\ARMCLANG</pCCUsed>
      <uAC6>1</uAC6>
      <TargetOption>
        <TargetCommonOption>
          <Device>STM32G431RBTx</Device>
          <Vendor>STMicroelectronics</Vendor>
          <PackID>Keil.STM32G4xx_DFP.1.2.0</PackID>
          <PackURL>http://www.keil.com/pack/</PackURL>
          <Cpu>IRAM(0x20000000,0x00008000) IROM(0x08000000,0x00020000) CPUTYPE("Cortex-M4") FPU2 CLOCK(12000000) ELITTLE</Cpu>
          <FlashUtilSpec></FlashUtilSpec>
          <StartupFile></StartupFile>
          <FlashDriverDll>UL2CM3(-S0 -C0 -P0 -FD20000000 -FC1000 -FN1 -FF0STM32G4xx_128 -FS08000000 -FL020000 -FP0($$Device:STM32G431RBTx$CMSIS\Flash\STM32G4xx_128.FLM))</FlashDriverDll>
          <DeviceId>0</DeviceId>
          <RegisterFile>$$Device:STM32G431RBTx$Drivers\CMSIS\Device\ST\STM32G4xx\Include\stm32g4xx.h</RegisterFile>
          <MemoryEnv></MemoryEnv>
          <Cmp></Cmp>
          <Asm></Asm>
          <Linker></Linker>
          <OHString></OHString>
          <InfinionOptionDll></InfinionOptionDll>
          <SLE66CMisc></SLE66CMisc>
          <SLE66AMisc></SLE66AMisc>
          <SLE66LinkerMisc></SLE66LinkerMisc>
          <SFDFile>$$Device:STM32G431RBTx$CMSIS\SVD\STM32G431xx.svd</SFDFile>
          <bCustSvd>0</bCustSvd>
          <UseEnv>0</UseEnv>
          <BinPath></BinPath>
          <IncludePath></IncludePath>
          <LibPath></LibPath>
          <RegisterFilePath></RegisterFilePath>
          <DBRegisterFilePath></DBRegisterFilePath>
          <TargetStatus>
            <Error>0</Error>
            <ExitCodeStop>0</ExitCodeStop>
            <ButtonStop>0</ButtonStop>
            <NotGenerated>0</NotGenerated>
            <InvalidFlash>1</InvalidFlash>
          </TargetStatus>
          <OutputDirectory>.\Objects\</OutputDirectory>
          <OutputName>stud.projektmaster</OutputName>
          <CreateExecutable>1</CreateExecutable>
          <CreateLib>0</CreateLib>
          <CreateHexFile>0</CreateHexFile>
          <DebugInformation>1</DebugInformation>
          <BrowseInformation>1</BrowseInformation>
          <ListingPath>.\Listings\</ListingPath>
          <HexFormatSelection>1</HexFormatSelection>
          <Merge32K>0</Merge32K>
          <CreateBatchFile>0</CreateBatchFile>
          <BeforeCompile>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name></UserProg1Name>
            <UserProg2Name></UserProg2Name>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopU1X>0</nStopU1X>
            <nStopU2X>0</nStopU2X>
          </BeforeCompile>
          <BeforeMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name></UserProg1Name>
            <UserProg2Name></UserProg2Name>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopB1X>0</nStopB1X>
            <nStopB2X>0</nStopB2X>
          </BeforeMake>
          <AfterMake>
            <RunUserProg1>0</RunUserProg1>
            <RunUserProg2>0</RunUserProg2>
            <UserProg1Name></UserProg1Name>
            <UserProg2Name></UserProg2Name>
            <UserProg1Dos16Mode>0</UserProg1Dos16Mode>
            <UserProg2Dos16Mode>0</UserProg2Dos16Mode>
            <nStopA1X>0</nStopA1X>
            <nStopA2X>0</nStopA2X>
          </AfterMake>
          <SelectedForBatchBuild>0</SelectedForBatchBuild>
          <SVCSIdString></SVCSIdString>
        </TargetCommonOption>
        <CommonProperty>
          <UseCPPCompiler>0</UseCPPCompiler>
          <RVCTCodeConst>0</RVCTCodeConst>
          <RVCTZI>0</RVCTZI>
          <RVCTOtherData>0</RVCTOtherData>
          <ModuleSelection>0</ModuleSelection>
          <IncludeInBuild>1</IncludeInBuild>
          <AlwaysBuild>0</AlwaysBuild>
          <GenerateAssemblyFile>0</GenerateAssemblyFile>
          <AssembleAssemblyFile>0</AssembleAssemblyFile>
          <PublicsOnly>0</PublicsOnly>
          <StopOnExitCode>3</StopOnExitCode>
          <CustomArgument></CustomArgument>
          <IncludeLibraryModules></IncludeLibraryModules>
          <ComprImg>1</ComprImg>
        </CommonProperty>
        <DllOption>
          <SimDllName>SARMCM3.DLL</SimDllName>
          <SimDllArguments> -REMAP -MPU</SimDllArguments>
          <SimDlgDll>DCM.DLL</SimDlgDll>
          <SimDlgDllArguments>-pCM4</SimDlgDllArguments>
          <TargetDllName>SARMCM3.DLL</TargetDllName>
          <TargetDllArguments> -MPU</TargetDllArguments>
          <TargetDlgDll>TCM.DLL</TargetDlgDll>
          <TargetDlgDllArguments>-pCM4</TargetDlgDllArguments>
        </DllOption>
        <DebugOption>
          <OPTHX>
            <HexSelection>1</HexSelection>
            <HexRangeLowAddress>0</HexRangeLowAddress>
            <HexRangeHighAddress>0</HexRangeHighAddress>
            <HexOffset>0</HexOffset>
            <Oh166RecLen>16</Oh166RecLen>
          </OPTHX>
        </DebugOption>
        <Utilities>
          <Flash1>
            <UseTargetDll>1</UseTargetDll>
            <UseExternalTool>0</UseExternalTool>
            <RunIndependent>0</RunIndependent>
            <UpdateFlashBeforeDebugging>1</UpdateFlashBeforeDebugging>
            <Capability>1</Capability>
            <DriverSelection>4096</DriverSelection>
          </Flash1>
          <bUseTDR>1</bUseTDR>
          <Flash2>BIN\UL2CM3.DLL</Flash2>
          <Flash3>"" ()</Flash3>
          <Flash4></Flash4>
          <pFcarmOut></pFcarmOut>
          <pFcarmGrp></pFcarmGrp>
          <pFcArmRoot></pFcArmRoot>
          <FcArmLst>0</FcArmLst>
        </Utilities>
        <TargetArmAds>
          <ArmAdsMisc>
            <GenerateListings>0</GenerateListings>
            <asHll>1</asHll>
            <asAsm>1</asAsm>
            <asMacX>1</asMacX>
            <asSyms>1</asSyms>
            <asFals>1</asFals>
            <asDbgD>1</asDbgD>
            <asForm>1</asForm>
            <ldLst>0</ldLst>
            <ldmm>1</ldmm>
            <ldXref>1</ldXref>
            <BigEnd>0</BigEnd>
            <AdsALst>1</AdsALst>
            <AdsACrf>1</AdsACrf>
            <AdsANop>0</AdsANop>
            <AdsANot>0</AdsANot>
            <AdsLLst>1</AdsLLst>
            <AdsLmap>1</AdsLmap>
            <AdsLcgr>1</AdsLcgr>
            <AdsLsym>1</AdsLsym>
            <AdsLszi>1</AdsLszi>
            <AdsLtoi>1</AdsLtoi>
            <AdsLsun>1</AdsLsun>
            <AdsLven>1</AdsLven>
            <AdsLsxf>1</AdsLsxf>
            <RvctClst>0</RvctClst>
            <GenPPlst>0</GenPPlst>
            <AdsCpuType>"Cortex-M4"</AdsCpuType>
            <RvctDeviceName></RvctDeviceName>
            <mOS>0</mOS>
            <uocRom>0</uocRom>
            <uocRam>0</uocRam>
            <hadIROM>1</hadIROM>
            <hadIRAM>1</hadIRAM>
            <hadXRAM>0</hadXRAM>
            <uocXRam>0</uocXRam>
            <RvdsVP>2</RvdsVP>
            <RvdsMve>0</RvdsMve>
            <hadIRAM2>0</hadIRAM2>
            <hadIROM2>0</hadIROM2>
            <StupSel>8</StupSel>
            <useUlib>1</useUlib>
            <EndSel>0</EndSel>
            <uLtcg>0</uLtcg>
            <nSecure>0</nSecure>
            <RoSelD>3</RoSelD>
            <RwSelD>3</RwSelD>
            <CodeSel>0</CodeSel>
            <OptFeed>0</OptFeed>
            <NoZi1>0</NoZi1>
            <NoZi2>0</NoZi2>
            <NoZi3>0</NoZi3>
            <NoZi4>0</NoZi4>
            <NoZi5>0</NoZi5>
            <Ro1Chk>0</Ro1Chk>
            <Ro2Chk>0</Ro2Chk>
            <Ro3Chk>0</Ro3Chk>
            <Ir1Chk>1</Ir1Chk>
            <Ir2Chk>0</Ir2Chk>
            <Ra1Chk>0</Ra1Chk>
            <Ra2Chk>0</Ra2Chk>
            <Ra3Chk>0</Ra3Chk>
            <Im1Chk>1</Im1Chk>
            <Im2Chk>0</Im2Chk>
            <OnChipMemories>
              <Ocm1>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm1>
              <Ocm2>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm2>
              <Ocm3>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm3>
              <Ocm4>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm4>
              <Ocm5>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm5>
              <Ocm6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </Ocm6>
              <IRAM>
                <Type>0</Type>
                <StartAddress>0x20000000</StartAddress>
                <Size>0x8000</Size>
              </IRAM>
              <IROM>
                <Type>1</Type>
                <StartAddress>0x8000000</StartAddress>
                <Size>0x20000</Size>
              </IROM>
              <XRAM>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </XRAM>
              <OCR_RVCT1>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT1>
              <OCR_RVCT2>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT2>
              <OCR_RVCT3>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT3>
              <OCR_RVCT4>
                <Type>1</Type>
                <StartAddress>0x8000000</StartAddress>
                <Size>0x20000</Size>
              </OCR_RVCT4>
              <OCR_RVCT5>
                <Type>1</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT5>
              <OCR_RVCT6>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT6>
              <OCR_RVCT7>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT7>
              <OCR_RVCT8>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT8>
              <OCR_RVCT9>
                <Type>0</Type>
                <StartAddress>0x20000000</StartAddress>
                <Size>0x8000</Size>
              </OCR_RVCT9>
              <OCR_RVCT10>
                <Type>0</Type>
                <StartAddress>0x0</StartAddress>
                <Size>0x0</Size>
              </OCR_RVCT10>
            </OnChipMemories>
            <RvctStartVector></RvctStartVector>
          </ArmAdsMisc>
          <Cads>
            <interw>1</interw>
            <Optim>1</Optim>
            <oTime>0</oTime>
            <SplitLS>0</SplitLS>
            <OneElfS>1</OneElfS>
            <Strict>0</Strict>
            <EnumInt>0</EnumInt>
            <PlainCh>0</PlainCh>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <wLevel>0</wLevel>
            <uThumb>0</uThumb>
            <uSurpInc>0</uSurpInc>
            <uC99>1</uC99>
            <uGnu>1</uGnu>
            <useXO>0</useXO>
            <v6Lang>6</v6Lang>
            <v6LangP>6</v6LangP>
            <vShortEn>1</vShortEn>
            <vShortWch>1</vShortWch>
            <v6Lto>0</v6Lto>
            <v6WtE>0</v6WtE>
            <v6Rtti>0</v6Rtti>
            <VariousControls>
              <MiscControls></MiscControls>
              <Define>STM32G431xx</Define>
              <Undefine></Undefine>
              <IncludePath>.\os\include;.\CMSIS\Core\Include;.\core-stm32g431\include</IncludePath>
            </VariousControls>
          </Cads>
          <Aads>
            <interw>1</interw>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <thumb>0</thumb>
            <SplitLS>0</SplitLS>
            <SwStkChk>0</SwStkChk>
            <NoWarn>0</NoWarn>
            <uSurpInc>0</uSurpInc>
            <useXO>0</useXO>
            <uClangAs>0</uClangAs>
            <VariousControls>
              <MiscControls></MiscControls>
              <Define></Define>
              <Undefine></Undefine>
              <IncludePath>.\core-stm32g431\src-asm</IncludePath>
            </VariousControls>
          </Aads>
          <LDads>
            <umfTarg>1</umfTarg>
            <Ropi>0</Ropi>
            <Rwpi>0</Rwpi>
            <noStLib>0</noStLib>
            <RepFail>1</RepFail>
            <useFile>0</useFile>
            <TextAddressRange>0x08000000</TextAddressRange>
            <DataAddressRange>0x20000000</DataAddressRange>
            <pXoBase></pXoBase>
            <ScatterFile>.\Objects\stud.sct</ScatterFile>
            <IncludeLibs></IncludeLibs>
            <IncludeLibsPath></IncludeLibsPath>
            <Misc></Misc>
            <LinkerInputFile></LinkerInputFile>
            <DisabledWarnings></DisabledWarnings>
          </LDads>
        </TargetArmAds>
      </TargetOption>
      <Groups>
        <Group>
          <GroupName>Source Group 1</GroupName>
          <Files>
            <File>
              <FileName>process.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\os\src\process.cpp</FilePath>
            </File>
            <File>
              <FileName>schedule.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\os\src\schedule.cpp</FilePath>
            </File>
            <File>
              <FileName>controlRegister.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\core-stm32g431\src\controlRegister.cpp</FilePath>
            </File>
            <File>
              <FileName>firstContext.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\core-stm32g431\src\firstContext.cpp</FilePath>
            </File>
            <File>
              <FileName>gpio.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\core-stm32g431\src\gpio.cpp</FilePath>
            </File>
            <File>
              <FileName>pendsv.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\core-stm32g431\src\pendsv.cpp</FilePath>
            </File>
            <File>
              <FileName>rst_and_clk_control.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\core-stm32g431\src\rst_and_clk_control.cpp</FilePath>
            </File>
            <File>
              <FileName>status_led.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\core-stm32g431\src\status_led.cpp</FilePath>
            </File>
            <File>
              <FileName>switchContext.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\core-stm32g431\src\switchContext.cpp</FilePath>
            </File>
            <File>
              <FileName>system_init.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\core-stm32g431\src\system_init.cpp</FilePath>
            </File>
            <File>
              <FileName>system_stm32g4xx.c</FileName>
              <FileType>1</FileType>
              <FilePath>.\core-stm32g431\src\system_stm32g4xx.c</FilePath>
            </File>
            <File>
              <FileName>systemtimer.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\core-stm32g431\src\systemtimer.cpp</FilePath>
            </File>
            <File>
              <FileName>systick.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\core-stm32g431\src\systick.cpp</FilePath>
            </File>
            <File>
              <FileName>user_led.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\core-stm32g431\src\user_led.cpp</FilePath>
            </File>
            <File>
              <FileName>first_context.s</FileName>
              <FileType>2</FileType>
              <FilePath>.\core-stm32g431\src-asm-arm\first_context.s</FilePath>
            </File>
            <File>
              <FileName>pendsv.s</FileName>
              <FileType>2</FileType>
              <FilePath>.\core-stm32g431\src-asm-arm\pendsv.s</FilePath>
            </File>
            <File>
              <FileName>startup_stm32g431xx.s</FileName>
              <FileType>2</FileType>
              <FilePath>.\core-stm32g431\src-asm-arm\startup_stm32g431xx.s</FilePath>
            </File>
            <File>
              <FileName>switchContext.s</FileName>
              <FileType>2</FileType>
              <FilePath>.\core-stm32g431\src-asm-arm\switchContext.s</FilePath>
            </File>
            <File>
              <FileName>main.cpp</FileName>
              <FileType>8</FileType>
              <FilePath>.\main.cpp</FilePath>
            </File>
            <File>
              <FileName>defines.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\defines.h</FilePath>
            </File>
            <File>
              <FileName>first_context.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\first_context.h</FilePath>
            </File>
            <File>
              <FileName>process.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\process.h</FilePath>
            </File>
            <File>
              <FileName>process_defines.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\process_defines.h</FilePath>
            </File>
            <File>
              <FileName>register_io.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\register_io.h</FilePath>
            </File>
            <File>
              <FileName>register_io_impl.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\register_io_impl.h</FilePath>
            </File>
            <File>
              <FileName>registerio_gpio.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\registerio_gpio.h</FilePath>
            </File>
            <File>
              <FileName>schedule.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\schedule.h</FilePath>
            </File>
            <File>
              <FileName>switchContext.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\switchContext.h</FilePath>
            </File>
            <File>
              <FileName>system_init.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\system_init.h</FilePath>
            </File>
            <File>
              <FileName>systemtimer.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\systemtimer.h</FilePath>
            </File>
            <File>
              <FileName>to_bit_representation.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\to_bit_representation.h</FilePath>
            </File>
            <File>
              <FileName>user_led.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\os\include\user_led.h</FilePath>
            </File>
            <File>
              <FileName>controlRegister.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\core-stm32g431\include\controlRegister.h</FilePath>
            </File>
            <File>
              <FileName>gpio.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\core-stm32g431\include\gpio.h</FilePath>
            </File>
            <File>
              <FileName>pendsv.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\core-stm32g431\include\pendsv.h</FilePath>
            </File>
            <File>
              <FileName>rst_and_clk_control.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\core-stm32g431\include\rst_and_clk_control.h</FilePath>
            </File>
            <File>
              <FileName>stm32g4xx.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\core-stm32g431\include\stm32g4xx.h</FilePath>
            </File>
            <File>
              <FileName>stm32g431xx.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\core-stm32g431\include\stm32g431xx.h</FilePath>
            </File>
            <File>
              <FileName>system_stm32g4xx.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\core-stm32g431\include\system_stm32g4xx.h</FilePath>
            </File>
            <File>
              <FileName>systick.h</FileName>
              <FileType>5</FileType>
              <FilePath>.\core-stm32g431\include\systick.h</FilePath>
            </File>
          </Files>
        </Group>
        <Group>
          <GroupName>::CMSIS</GroupName>
        </Group>
      </Groups>
    </Target>
  </Targets>

  <RTE>
    <apis/>
    <components>
      <component Cclass="CMSIS" Cgroup="CORE" Cvendor="ARM" Cversion="5.2.0" condition="ARMv6_7_8-M Device">
        <package name="CMSIS" schemaVersion="1.3" url="http://www.keil.com/pack/" vendor="ARM" version="5.5.1"/>
        <targetInfos>
          <targetInfo name="Target 1"/>
        </targetInfos>
      </component>
    </components>
    <files/>
  </RTE>

</Project>
